## dftk 0.4.0

=== Makefile ===

# Edit destination directories here

PROGDIR=debian/dftk/usr/share/dftk/
DOCDIR=debian/dftk-doc/usr/share/doc/dftk-doc/html/



# Editing this should not be useful

all: install

install:
	mkdir -p ${PROGDIR}
	cp -r program/* ${PROGDIR}
	mkdir -p ${DOCDIR}
	tar -xzf doc/dftk-doc-html.tgz -C ${DOCDIR}

=== debian/changelog ===
dftk (0.4.0) unstable; urgency=low

  * Added encoding support in the Language Manager.
  * Added french translations.
  * Added a new subpackage for output management (Treces can use them to
    produce informational messages).
  * Many bugfixes for Traces and Language Manager.
  * Some documentation improvements.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri,  5 Dec 2003 04:28:14 +0100

dftk (0.3.0) unstable; urgency=low

  * Added a new subpackage for file manipulations.
  * Added doc-base support.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon,  1 Dec 2003 17:05:37 +0100

dftk (0.2.0) unstable; urgency=low

  * Added a new subpackage for IA algorithms and 3 new utility funtions.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 27 Nov 2003 14:34:46 +0100

dftk (0.1.1) unstable; urgency=low

  * Improved existing inline documentation.
  * Created a new package for HTML documentation generated with
    PhpDocumentor.
  * Corrected minor coding mistakes.
  * Now signing with real Identity.
  * 'debian/changelog' and 'debian/control' are now UTF-8 encoded.
  * Improved 'debian/copyright'.
  * Updated Standards-Version.
  * Updated Maintainer field.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 26 Nov 2003 16:36:27 +0100

dftk (0.1.0) unstable; urgency=low

  * Initial Release.

 -- The Duck <Duck@DuckCorp.org>  Tue, 20 May 2003 11:35:05 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dftk
Section: devel
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends-Indep: debhelper (>= 4.0.1)
Standards-Version: 3.6.1.0

Package: dftk
Architecture: all
Depends: php4 (>= 4.1.2) | php4-cgi (>= 4.1.2)
Description: DaFreeToolKit for PHP
 DFTK is a library containing useful functions and classes for PHP.

Package: dftk-doc
Architecture: all
Depends:
Description: DaFreeToolKit for PHP documentation
 DFTK is a library containing useful functions and classes for PHP.
 .
 This package provides with phpdocumentor generated HTML
 documentation.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install
	find ${CURDIR}/debian/dftk -type d -name ".arch-ids" -depth -exec rm -rf {} \;


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
